local color_name;
local index = Var("GameCommand"):GetIndex();
local name = Var("GameCommand"):GetText();
local title = THEME:GetString( Var "LoadingScreen", name .. "Title" );
local explanation = THEME:GetString( Var "LoadingScreen", name .. "Explanation" );
local diffusecolor = THEME:GetMetric( Var("LoadingScreen"),"" .. name .. "Color");
local ThemeColor = ReadPref("Themes/Cerulean Skies/Preferences/","ThemeColor")
return Def.ActorFrame { 
	GainFocusCommand=cmd(stoptweening;linear,0.15;zoom,1);
	LoseFocusCommand=cmd(stoptweening;linear,0.15;zoom,0.8);
	Def.ActorFrame {
        FOV=90;
		OnCommand=cmd(zoom,0;bounceend,0.25;zoom,1);
		OffCommand=cmd(bouncebegin,0.25;zoom,0);
		LoadActor("frame header") .. {
			InitCommand=cmd(diffusecolor,color(diffusecolor));
			DisabledCommand=cmd(diffuse,color("#222222"););
            EnabledCommand=cmd(diffuse,color(diffusecolor));
		};
		LoadActor("frame body " .. ThemeColor) .. {
--~ 			InitCommand=cmd(diffusecolor,color(diffusecolor));
			DisabledCommand=cmd(diffuse,color("#222222"););
--~             EnabledCommand=cmd(diffuse,color(diffusecolor));
		};
		LoadFont("System") .. {
			InitCommand=cmd(y,-36;settext,title;diffuse,color("#FFFFFF77");shadowlength,0;);
			DisabledCommand=cmd(diffuse,color("#222222"););
            EnabledCommand=cmd(diffuse,color(diffusecolor););
		};
		LoadFont("Common") .. {
			InitCommand=cmd(y,10;settext,explanation;shadowlength,1;zoom,0.8;);
			DisabledCommand=cmd(diffuse,color("#222222"););
            EnabledCommand=cmd(diffuse,color("FFFFFF"););
		};
	};
};
